xhtml-combinators-0.2.2: Fast and easy to use XHTML combinators.

Portability | GHC
Stability | experimental
Maintainer | alasdair.armstrong@googlemail.com

Text.XHtmlCombinators.Escape

Description

Escaping is based on the ESAPI project (see 'http://www.owasp.org/index.php/ESAPI')

Synopsis

- escape :: Text -> Text
- escapeAttr :: Text -> Text
- escapeJavaScript :: Text -> Text
- escapeCSS :: Text -> Text

# Documentation

escape :: Text -> Text

Escaping text in generic HTML elements

escapeAttr :: Text -> Text

Escaping text in attribute values

escapeJavaScript :: Text -> Text

Escaping text intended for places where scripts can be used

escapeCSS :: Text -> Text

Escape text for CSS (style) data